Đến nội dung


Hình ảnh
- - - - -

Nhờ sửa lisp xuất toạ độ polyline


  • Please log in to reply
4 replies to this topic

#1 hoabuivan

hoabuivan

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 03 December 2013 - 08:56 PM

Chào anh em Cadviet, em có một lisp xuất toạ độ của đường pline (x,y,z) dưới dạng file .txt. Do nhu cầu cần sử dụng trong quá trình làm việc nên em cần sửa thành lisp sao cho:

+ Chỉ xuất ra toạ độ (x,y) mà không có z nữa

+ File xuất ra để dạng .hdm thay vì .txt như hiện tại

+ Trước khi liệt kê các toạ độ thì thêm vào dòng BEGIN

+ Và nếu như có thể chọn gốc toạ độ nữa thì tốt quá

( File .hdm mẫu đính kèm)

http://www.mediafire...3j/Sua lisp.rar


  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 04 December 2013 - 10:34 AM

Bạn vui tính quá, cái lisp ở mô :)


  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 hoabuivan

hoabuivan

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 04 December 2013 - 01:48 PM

Bạn vui tính quá, cái lisp ở mô :)

Oh sorry bạn, mình nhầm :-). Mình vừa up lại rồi bạn sửa giúp mình với. Thanks !


  • 0

#4 HoaVien

HoaVien

    biết vẽ arc

  • Members
  • PipPip
  • 44 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 04 December 2013 - 03:02 PM

Sài tạm Lisp này nhé.

(defun c:gh(/ ent fh fn pnt sset)
  (princ "Chon PLine:" )
  (if (and (setq sset (ssget "_+.:S:E"'((0 . "LWPOLYLINE"))))
	   (setq fn (getfiled "POLYLINE Export File" "" "hdm" 1)))
    (progn      
      (setq fh (open fn "w")
	    ent (entget (ssname sset 0)))
      (princ "BEGIN" fh)
      (foreach rec ent
	(if (= (car rec) 10)
	  (princ (strcat "\n"(rtos (car (setq pnt (cdr rec)))) "," (rtos (cadr pnt)) ) fh) )  )
      (close fh)) )
  (princ))

  • 0

#5 hoabuivan

hoabuivan

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 04 December 2013 - 08:11 PM

Sài tạm Lisp này nhé.

(defun c:gh(/ ent fh fn pnt sset)
  (princ "Chon PLine:" )
  (if (and (setq sset (ssget "_+.:S:E"'((0 . "LWPOLYLINE"))))
	   (setq fn (getfiled "POLYLINE Export File" "" "hdm" 1)))
    (progn      
      (setq fh (open fn "w")
	    ent (entget (ssname sset 0)))
      (princ "BEGIN" fh)
      (foreach rec ent
	(if (= (car rec) 10)
	  (princ (strcat "\n"(rtos (car (setq pnt (cdr rec)))) "," (rtos (cadr pnt)) ) fh) )  )
      (close fh)) )
  (princ))

Bạn ơi, vẫn còn có toạ độ "Z" bạn bỏ đi giúp mình được không. Mình chỉ cần (X,Y) thôi.


  • -1